Lookup External Resource

Lookup External Resource
Retrieve external resource object

Retrieve external resource object depending on namespace type and id

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/forms/renderer/external-resources
COPY
Query Parameters
string
namespace
Required

namespace in which the vRO type is placed

string
type
Required

type of the SDK object

string
objectId
Required

unique id of the object

string
projectId
Required

id of current project


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with external resource matching the search criteria

Returns VroResourceLink of type(s) */*
{
    "href": "string",
    "attributes": [
        {
            "name": "string",
            "value": "string",
            "displayValue": {}
        }
    ]
}

403

'Forbidden' no forms viewer access rights

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/forms/renderer/external-resources?namespace=value&type=value&objectId=value&projectId=v